#include <Seeed_Arduino_SSCMA.h>

#define AUDIO_PIN D1

SSCMA Infer;

bool locked = false; 

// Time settings
const int minFreq = 2000;  // Minimum frequency (2 kHz) 
const int maxFreq = 20000; // Maximum frequency (20 kHz)
const int pulseDuration = 100; // Duration of each pulse (ms)
const int pulseInterval = 200; // Interval between pulses (ms)

void makeNoise() {
  // Generate a random frequency between minFreq and maxFreq
  int frequency = random(minFreq, maxFreq);

  // Generate a short pulse at the random frequency
  tone(AUDIO_PIN, frequency, pulseDuration);

  // Wait for the pulse interval before the next one
  delay(pulseInterval);

  // Stop the sound briefly to create a gap (quiet time between pulses)
  noTone(AUDIO_PIN);

  // Wait before generating the next pulse with a different frequency
  delay(random(10, 100)); // Random delay for randomness in pulsing pattern
}

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  Serial.println("Scanning...");

  pinMode(AUDIO_PIN, OUTPUT);
}

void loop() {s
  // put your main code here, to run repeatedly:
  if (!Infer.invoke()) {
    if (Infer.boxes().size() > 0) {
      makeNoise();
    }
    else{
      noTone(AUDIO_PIN);
    }
  }
}